# AuthExtractorConfig in actix_web_httpauth::extractors - Rust
Trait implemented for types that provides configuration for the authentication extractors.
Keywords: rust, rustlang, rust-lang, AuthExtractorConfig

# Trait actix_web_httpauth::extractors::AuthExtractorConfig

source · [−]

    pub trait AuthExtractorConfig {
        type Inner: Challenge;
        fn into_inner(self) -> Self::Inner;
    }

Expand description

Trait implemented for types that provides configuration for the authentication extractors.

## Associated Types

source

#### type Inner: Challenge

Associated challenge type.

## Required methods

source

#### fn into_inner(self) -> Self::Inner

Convert the config instance into a HTTP challenge.

## Implementors

source

### impl AuthExtractorConfig for actix_web_httpauth::extractors::basic::Config

#### type Inner = Challenge

source

### impl AuthExtractorConfig for actix_web_httpauth::extractors::bearer::Config

#### type Inner = Bearer